/*
 * zGo2ProfilePositionZ.h
 * 
 * Gocator system communication library
 * Copyright (C) 2013 by LMI Technologies Inc.
 * 
 * Licensed under The MIT License.
 * Redistributions of files must retain the above copyright notice.
 */

#ifndef LMITECH_GO2PROFILEPOSITIONZ_H_INCLUDED
#define LMITECH_GO2PROFILEPOSITIONZ_H_INCLUDED

#include <Go2Measurements/Go2ProfilePositionZ.h>
#include <z/zGo2Measurement.h>
#include <z/zGo2Api.h>
#include <Go2ApiBegin.h>

/*
 * Go2ProfilePositionZ Class 
 */

typedef struct Go2ProfilePositionZClass
{
    GO2_MEASUREMENT_FIELDS(); 
    Go2ProfileFeature feature; 
} Go2ProfilePositionZClass; 

GO2_EXPORT(Go2Status) Go2ProfilePositionZ_Construct(Go2ProfilePositionZ* measurement, Go2UInt32 id, Go2Object system); 
GO2_EXPORT(Go2Status) Go2ProfilePositionZ_Init(Go2ProfilePositionZ measurement, Go2UInt32 id, Go2Object system); 

GO2_EXPORT(Go2Status) Go2ProfilePositionZ_VRelease(Go2ProfilePositionZ measurement); 
GO2_EXPORT(Go2Status) Go2ProfilePositionZ_VRead(Go2ProfilePositionZ measurement, zXml xml, zXmlItem item); 
GO2_EXPORT(Go2Status) Go2ProfilePositionZ_VWrite(Go2ProfilePositionZ measurement, zXml xml, zXmlItem item); 



#include <Go2ApiEnd.h>
#endif
